## ros-one-jsk-interactive-marker 2.1.10-5jammy.20251027.2143

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_interactive_marker)

if(("$ENV{ROS_DISTRO}" STREQUAL "kinetic") OR ("$ENV{ROS_DISTRO}" STREQUAL "indigo"))
  # catch special case ROS kinetic where c++11 is not the default yet
  add_compile_options(-std=c++11)
endif()

# support environment does not have visualization such as VTK or Rviz (i.e embedded environment)
set(USE_VISUALIZATION ON CACHE BOOL "compile with rviz package")
if(USE_VISUALIZATION)
  set(RVIZ "rviz")
  set(JSK_RECOGNITION_UTILS "jsk_recognition_utils")
else()
  set(RVIZ "")
  set(JSK_RECOGNITION_UTILS "")
  message(WARNING "Compile without RVIZ/jsk_recognition_utils package")
endif()

# Use ccache if installed to make it fast to generate object files
if (CMAKE_VERSION VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif(CCACHE_FOUND)
endif()

if($ENV{ROS_DISTRO} STREQUAL "groovy")
  set(PCL_MSGS pcl)
else()
  set(PCL_MSGS pcl_msgs) ## hydro and later
endif()


find_package(catkin REQUIRED COMPONENTS
  message_generation
  cmake_modules jsk_footstep_msgs geometry_msgs visualization_msgs
  dynamic_reconfigure jsk_rviz_plugins
  interactive_markers dynamic_tf_publisher tf_conversions eigen_conversions
  actionlib roscpp roslib urdf
  pcl_conversions
  jsk_recognition_msgs
  ${PCL_MSGS}
  jsk_topic_tools image_transport
  ${RVIZ} ${JSK_RECOGNITION_UTILS}
  )
message("rviz                  : VERSION: ${rviz_VERSION}, FOUND: ${rviz_FOUND}")
message("jsk_recognition_utils : VERSION: ${jsk_recognition_utils_VERSION}, FOUND ${jsk_recognition_utils_FOUND}")
message("jsk_recognition_msgs  : VERSION: ${jsk_recognition_msgs_VERSION}, FOUND: ${jsk_recognition_msgs_FOUND}")
message("jsk_footstep_msgs     : VERSION: ${jsk_footstep_msgs_VERSION}, FOUND: ${jsk_footstep_msgs_FOUND}")
find_package(orocos_kdl REQUIRED)
find_package(TinyXML REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)

add_message_files(
  DIRECTORY msg
  FILES JointTrajectoryPointWithType.msg JointTrajectoryWithType.msg MarkerDimensions.msg MarkerMenu.msg MarkerPose.msg MoveModel.msg MoveObject.msg SnapFootPrintInput.msg PoseStampedWithName.msg
)
add_service_files(DIRECTORY srv
  FILES MarkerSetPose.srv SetPose.srv GetJointState.srv GetType.srv SetMarkerDimensions.srv GetMarkerDimensions.srv GetTransformableMarkerPose.srv SetTransformableMarkerPose.srv GetTransformableMarkerColor.srv SetTransformableMarkerColor.srv GetTransformableMarkerFocus.srv SetTransformableMarkerFocus.srv GetTransformableMarkerExistence.srv IndexRequest.srv SetParentMarker.srv RemoveParentMarker.srv
  SnapFootPrint.srv
  SetHeuristic.srv)

generate_dynamic_reconfigure_options(
  cfg/FootstepMarker.cfg
  cfg/InteractivePointCloud.cfg
  cfg/PointCloudCropper.cfg
  cfg/CameraInfoPublisher.cfg
  cfg/InteractiveSetting.cfg
  )

add_definitions("-g")

include_directories(include ${catkin_INCLUDE_DIRS}
  ${orocos_kdl_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

# include Qt
if(rviz_FOUND AND (rviz_QT_VERSION VERSION_LESS "5"))
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
elseif(rviz_FOUND)
  find_package(Qt5Widgets REQUIRED)
endif()
add_definitions(-DQT_NO_KEYWORDS -g)

if((NOT rviz_FOUND) OR (jsk_recognition_msgs_VERSION VERSION_LESS "1.2.0"))
  set(TRANSFORMABLE_MARKER_OPERATOR_SRC_FILES)
  message(WARNING "transformable_marker_operator.h requires jsk_recognition_msgs >= 1.2.0")
else(jsk_recognition_msgs_VERSION VERSION_LESS "1.2.0")
  set(TRANSFORMABLE_MARKER_OPERATOR_SRC_FILES
     src/rviz_plugins/transformable_marker_operator.cpp)
if(rviz_FOUND AND (rviz_QT_VERSION VERSION_LESS "5"))
  qt4_wrap_cpp(MOC_FILES
    include/jsk_interactive_marker/rviz_plugins/transformable_marker_operator.h
    )
elseif(rviz_FOUND)
  qt5_wrap_cpp(MOC_FILES
    include/jsk_interactive_marker/rviz_plugins/transformable_marker_operator.h
    )
endif()
endif((NOT rviz_FOUND) OR (jsk_recognition_msgs_VERSION VERSION_LESS "1.2.0"))

# target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${TinyXML_LIBRARIES} ${orocos_kdl_LIBRARIES})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

add_library(jsk_interactive_marker
  src/interactive_marker_helpers.cpp
  ${TRANSFORMABLE_MARKER_OPERATOR_SRC_FILES}
  ${MOC_FILES}
  ${UIC_FILES}
)
if(rviz_FOUND AND (rviz_QT_VERSION VERSION_LESS "5"))
  target_link_libraries(jsk_interactive_marker ${QT_LIBRARIES} ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES})
elseif(rviz_FOUND)
  target_link_libraries(jsk_interactive_marker Qt5::Widgets ${QT_LIBRARIES} ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES})
endif()
if(rviz_FOUND)
add_dependencies(jsk_interactive_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
endif()

set(INSTALL_TARGET)
if(jsk_recognition_utils_FOUND)
add_executable(interactive_marker_interface src/interactive_marker_interface.cpp src/interactive_marker_utils.cpp)
target_link_libraries(interactive_marker_interface ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(interactive_marker_interface ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
list(APPEND INSTALL_TARGET "interactive_marker_interface")

add_executable(camera_info_publisher src/camera_info_publisher.cpp src/interactive_marker_utils.cpp)
target_link_libraries(camera_info_publisher ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker yaml-cpp)
add_dependencies(camera_info_publisher ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
list(APPEND INSTALL_TARGET "camera_info_publisher")

add_executable(urdf_model_marker src/urdf_model_marker.cpp src/urdf_model_marker_main.cpp src/interactive_marker_utils.cpp)
target_link_libraries(urdf_model_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(urdf_model_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
list(APPEND INSTALL_TARGET "urdf_model_marker")

add_executable(urdf_control_marker src/urdf_control_marker.cpp src/interactive_marker_utils.cpp)
target_link_libraries(urdf_control_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(urdf_control_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
list(APPEND INSTALL_TARGET "urdf_control_marker")
endif()

add_executable(point_cloud_config_marker src/point_cloud_config_marker.cpp)
target_link_libraries(point_cloud_config_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(point_cloud_config_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(triangle_foot src/triangle_foot.cpp)
target_link_libraries(triangle_foot ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(triangle_foot ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(door_foot src/door_foot.cpp)
target_link_libraries(door_foot ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(door_foot ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

if(jsk_recognition_utils_FOUND)
  add_executable(footstep_marker src/footstep_marker.cpp)
  target_link_libraries(footstep_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
  add_dependencies(footstep_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
  list(APPEND INSTALL_TARGET "footstep_marker")
endif()

add_executable(marker_6dof src/marker_6dof.cpp)
target_link_libraries(marker_6dof ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(marker_6dof ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(world2yaml src/world2yaml)
target_link_libraries(world2yaml ${TinyXML_LIBRARIES} ${orocos_kdl_LIBRARIES}  ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(world2yaml ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(bounding_box_marker src/bounding_box_marker.cpp)
target_link_libraries(bounding_box_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(bounding_box_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

if(jsk_recognition_utils_FOUND)
  add_executable(polygon_marker src/polygon_marker.cpp)
  target_link_libraries(polygon_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
  add_dependencies(polygon_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
  list(APPEND INSTALL_TARGET "polygon_marker")

  add_executable(interactive_point_cloud src/interactive_point_cloud_node.cpp src/interactive_point_cloud.cpp src/parent_and_child_interactive_marker_server.cpp)
  target_link_libraries(interactive_point_cloud ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
  add_dependencies(interactive_point_cloud ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})
  list(APPEND INSTALL_TARGET "interactive_point_cloud")
endif()

add_executable(pointcloud_cropper src/pointcloud_cropper.cpp
 )
target_link_libraries(pointcloud_cropper ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(pointcloud_cropper ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(transformable_server_sample
  src/transformable_object.cpp
  src/yaml_menu_handler.cpp
  src/parent_and_child_interactive_marker_server.cpp
  src/transformable_interactive_server.cpp
  src/transformable_server_sample.cpp
)

target_link_libraries(transformable_server_sample ${catkin_LIBRARIES} jsk_interactive_marker yaml-cpp)
add_dependencies(transformable_server_sample ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

generate_messages(
  DEPENDENCIES geometry_msgs jsk_footstep_msgs visualization_msgs jsk_recognition_msgs
)

catkin_package(
    DEPENDS TinyXML
    CATKIN_DEPENDS  geometry_msgs jsk_footstep_msgs tf_conversions actionlib jsk_rviz_plugins jsk_recognition_msgs message_runtime
    INCLUDE_DIRS include # TODO include
    LIBRARIES jsk_interactive_marker # TODO
)

find_package(PkgConfig)
pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
if(${yaml_cpp_VERSION} VERSION_LESS "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_OLD_YAML")
endif()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(FILES plugin_description.xml

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5jammy.20251027.2143) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 27 Oct 2025 21:43:19 +0000

ros-one-jsk-interactive-marker (2.1.10-0jammy) jammy; urgency=high

  * jsk_interactive_marker: use catkin_install_python in CMakeLists.txt (#897 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/897>)
  * Contributors: Kei Okada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.9-0jammy) jammy; urgency=high

  * enable to jsk_rviz_plugins, without rviz/ogre (#848 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/848>)use jsk_rviz_plugins message within embedded environment, compile with
    ```
    catkin bt -vi --cmake-args -DUSE_VISUALIZATION=OFF
    ```
  * [ROS-O] patches (#891 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/891>)
  * drop ROS_DISTRO STRGREATER tests
    As the Debian packages use "Debian"
    https://salsa.debian.org/science-team/ros-ros-environment/-/blame/master/debian/rules?ref_type=heads#L6
    which is incompatible, does not trigger them
    c++14 is the default from melodic onward, so the additional statements
    there are not necessary
  * CMakeLists.txt: check both kinetic and indigo
  * [jsk_interactive_marker/scripts/transformable_markers_client.py] Fix for Python3 (#882 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/882>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#853 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/853>)
  * Contributors: Kei Okada, Shun Hasegawa, iory, v4hn

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.8-0jammy) jammy; urgency=high

  * Resolve fixed frame of rviz (#842 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/842>)
    
      * frame_id_ is std::string, so we need to use c_str() or ROS_ERROR_STREAM
      * Resolve fixed frame of rviz
        * The pose in callback function of interactive marker is represented
        respect to fixed frame of rviz.
        * In order to publish consistent tf transformation, the pose should be
        transformed respect to the frame_id which is specified as ros
        parameter.
    
  * Fix sample display robot state demo (#838 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/838>)
    
      * [jsk_interactive_marker] fix bugs
      * [jsk_interactive_marker] change the robot of
        sample_display_robot_state from JAXON to PR2
    
  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * Enable to publish camera info from yaml file (#793 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/793>)
  * Contributors: Adi Vardi, Kei Okada, Koki Shinjo, Naoya Yamaguchi, Ryohei Ueda

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 11 Jan 2022 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.7-0jammy) jammy; urgency=high

  * set property for ccache if cmake version < 3.4 (#780 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/780>)
  * Remove meaningless lock (#750 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/750>)
  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f print
      * support noetic, use c++14, convert to package format 3
    
  * Contributors: Kei Okada, Ryohei Ueda, Yuki Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.6-0jammy) jammy; urgency=high

  * Remove unnecessary ROS_INFO (#755 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/755>)
  * Contributors: Yuto Uchimi

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.5-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.4-0jammy) jammy; urgency=high

  * replace boost::shared_ptr by std::shared_ptr (#710 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/710>)
    * manual urdf typedefs
    * add headers for urdf shared_ptr typedefs
    * use 'isnan' from 'std' namespace
    * use urdf typedefs for shared_ptr
    * enable C++11
    * replace boost pointers by std pointers
  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Call USE_SOURCE_PERMISSIONS before PATTERN
    * Update comment about installation
    * Install 'scripts' into SHARE_DESTINATION
    * Add comment for install destination
    * Fix installation destination
  * fix typo in jsk_interactive_marker (#718 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/718>)
  * Remove newline and leading spaces from package.xml (#706 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/706>)
  * Explicitly resolve dependency for jsk_recognition_utils in package.xml (#699 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/699>)
  * Object 3d annotation using transformable interactive marker (#668 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/668>)
    * do not compile transformable_marker_operator.cpp for jsk_recognition_msgs < 1.2.0
    * need 1.2.0 of jsk_recognition_msgs for Objects.msg
    * Update for updated Object.msg
    * Make object array topic editable and searched automatically
    * Insert mesh models dynamically by rviz panel
    * Change interactive_mode using dynamic reconfigure
  * Contributors: Christian Rauch, Kei Okada, Kentaro Wada, Masaki Murooka, Shingo Kitagawa, Yuto Uchimi, Naoki Mizuno

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.3-0jammy) jammy; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.2-0jammy) jammy; urgency=high



=== debian/control ===
Source: ros-one-jsk-interactive-marker
Section: misc
Priority: optional
Maintainer: furuta <furuta@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, libyaml-cpp-dev, ros-one-actionlib, ros-one-catkin, ros-one-cmake-modules, ros-one-dynamic-reconfigure, ros-one-dynamic-tf-publisher, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-interactive-markers, ros-one-jsk-footstep-msgs, ros-one-jsk-recognition-msgs (>= 1.2.0), ros-one-jsk-recognition-utils, ros-one-jsk-rviz-plugins, ros-one-jsk-topic-tools, ros-one-message-filters, ros-one-message-generation, ros-one-mk, ros-one-moveit-msgs, ros-one-rosbuild, ros-one-roscpp, ros-one-roseus, ros-one-roslib, ros-one-rviz, ros-one-sensor-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-urdf, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/interactive_marker
Standards-Version: 3.9.2

Package: ros-one-jsk-interactive-marker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, libyaml-cpp-dev, ros-one-actionlib, ros-one-dynamic-reconfigure, ros-one-dynamic-tf-publisher, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-interactive-markers, ros-one-jsk-footstep-msgs, ros-one-jsk-recognition-msgs (>= 1.0.0), ros-one-jsk-recognition-utils, ros-one-jsk-rviz-plugins, ros-one-jsk-topic-tools, ros-one-message-filters, ros-one-message-runtime, ros-one-moveit-msgs, ros-one-roscpp, ros-one-roseus, ros-one-roslib, ros-one-rviz, ros-one-sensor-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-urdf, ros-one-visualization-msgs
Description: jsk interactive markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-interactive-marker//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-interactive-marker 2.1.10-5jammy.20251208.0153

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5jammy.20251208.0153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 01:53:33 +0000

## ros-one-jsk-interactive-marker 2.1.10-5jammy.20251215.2227

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5jammy.20251215.2227) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:27:37 +0000

## ros-one-jsk-interactive-marker 2.1.10-5jammy.20260106.2204

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5jammy.20260106.2204) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:04:37 +0000

## ros-one-jsk-interactive-marker 2.1.10-5jammy.20260302.2146

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5jammy.20260302.2146) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 02 Mar 2026 21:46:45 +0000

## ros-one-jsk-interactive-marker 2.1.10-5noble.20251027.2212

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20251027.2212) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 27 Oct 2025 22:12:19 +0000

ros-one-jsk-interactive-marker (2.1.10-0noble) noble; urgency=high

  * jsk_interactive_marker: use catkin_install_python in CMakeLists.txt (#897 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/897>)
  * Contributors: Kei Okada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.9-0noble) noble; urgency=high

  * enable to jsk_rviz_plugins, without rviz/ogre (#848 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/848>)use jsk_rviz_plugins message within embedded environment, compile with
    ```
    catkin bt -vi --cmake-args -DUSE_VISUALIZATION=OFF
    ```
  * [ROS-O] patches (#891 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/891>)
  * drop ROS_DISTRO STRGREATER tests
    As the Debian packages use "Debian"
    https://salsa.debian.org/science-team/ros-ros-environment/-/blame/master/debian/rules?ref_type=heads#L6
    which is incompatible, does not trigger them
    c++14 is the default from melodic onward, so the additional statements
    there are not necessary
  * CMakeLists.txt: check both kinetic and indigo
  * [jsk_interactive_marker/scripts/transformable_markers_client.py] Fix for Python3 (#882 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/882>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#853 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/853>)
  * Contributors: Kei Okada, Shun Hasegawa, iory, v4hn

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.8-0noble) noble; urgency=high

  * Resolve fixed frame of rviz (#842 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/842>)
    
      * frame_id_ is std::string, so we need to use c_str() or ROS_ERROR_STREAM
      * Resolve fixed frame of rviz
        * The pose in callback function of interactive marker is represented
        respect to fixed frame of rviz.
        * In order to publish consistent tf transformation, the pose should be
        transformed respect to the frame_id which is specified as ros
        parameter.
    
  * Fix sample display robot state demo (#838 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/838>)
    
      * [jsk_interactive_marker] fix bugs
      * [jsk_interactive_marker] change the robot of
        sample_display_robot_state from JAXON to PR2
    
  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * Enable to publish camera info from yaml file (#793 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/793>)
  * Contributors: Adi Vardi, Kei Okada, Koki Shinjo, Naoya Yamaguchi, Ryohei Ueda

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 11 Jan 2022 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.7-0noble) noble; urgency=high

  * set property for ccache if cmake version < 3.4 (#780 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/780>)
  * Remove meaningless lock (#750 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/750>)
  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f print
      * support noetic, use c++14, convert to package format 3
    
  * Contributors: Kei Okada, Ryohei Ueda, Yuki Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.6-0noble) noble; urgency=high

  * Remove unnecessary ROS_INFO (#755 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/755>)
  * Contributors: Yuto Uchimi

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.5-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.4-0noble) noble; urgency=high

  * replace boost::shared_ptr by std::shared_ptr (#710 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/710>)
    * manual urdf typedefs
    * add headers for urdf shared_ptr typedefs
    * use 'isnan' from 'std' namespace
    * use urdf typedefs for shared_ptr
    * enable C++11
    * replace boost pointers by std pointers
  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Call USE_SOURCE_PERMISSIONS before PATTERN
    * Update comment about installation
    * Install 'scripts' into SHARE_DESTINATION
    * Add comment for install destination
    * Fix installation destination
  * fix typo in jsk_interactive_marker (#718 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/718>)
  * Remove newline and leading spaces from package.xml (#706 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/706>)
  * Explicitly resolve dependency for jsk_recognition_utils in package.xml (#699 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/699>)
  * Object 3d annotation using transformable interactive marker (#668 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/668>)
    * do not compile transformable_marker_operator.cpp for jsk_recognition_msgs < 1.2.0
    * need 1.2.0 of jsk_recognition_msgs for Objects.msg
    * Update for updated Object.msg
    * Make object array topic editable and searched automatically
    * Insert mesh models dynamically by rviz panel
    * Change interactive_mode using dynamic reconfigure
  * Contributors: Christian Rauch, Kei Okada, Kentaro Wada, Masaki Murooka, Shingo Kitagawa, Yuto Uchimi, Naoki Mizuno

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.3-0noble) noble; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-one-jsk-interactive-marker (2.1.2-0noble) noble; urgency=high



## ros-one-jsk-interactive-marker 2.1.10-5noble.20251208.1241

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20251208.1241) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 12:41:13 +0000

## ros-one-jsk-interactive-marker 2.1.10-5noble.20251215.2224

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20251215.2224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:24:56 +0000

## ros-one-jsk-interactive-marker 2.1.10-5noble.20260106.2216

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20260106.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:16:02 +0000

## ros-one-jsk-interactive-marker 2.1.10-5noble.20260302.2207

=== debian/changelog ===
ros-one-jsk-interactive-marker (2.1.10-5noble.20260302.2207) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 02 Mar 2026 22:07:49 +0000
